Policy Management
This chapter describes the V2 API calls you use to query and manage Ivanti EPMM Policies.
List Kiosk Policies
This call pulls the list of all available Kiosk profiles with their corresponding unique IDs.
Required Role
See Authentication for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.
Required Role |
|---|
Category: Policy Management Role Description: Manage policies |
HTTP method
GET
Request URI
/api/v2/policy/list
Request parameters
Parameter | Description | Sample Value |
|---|---|---|
adminDeviceSpaceId | Required Parameter Type: Query Data Type: Number Device space ID of the administrator. | 1 |
type | Required Parameter Type: Query Data Type: String Type of mode to list the profiles | type=androidkioskmode |
Response fields
Field | Description |
|---|---|
policies | Lists the available Kiosk policies. |
policyName | |
description | |
priority | |
active | |
policyId | |
type | androidkioskmode |
last modified | |
Sample request and response
Request
curl --location GET --header "Authorization: Basic <token>" "https://[Ivanti EPMM/mifs/admin/rest/api/v2/policy/list?adminDeviceSpaceId=1&type=androidkioskmode"Response
{
"results": {
"policies": [
{
"policyName": "Kiosk",
"description": "",
"priority": 1,
"active": true,
"policyId": 2,
"type": "ANDROIDKIOSKMODE",
"lastModified": "1717156651623"
},
{
"policyName": "kiosk-signin",
"description": "",
"priority": 2,
"active": true,
"policyId": 3,
"type": "ANDROIDKIOSKMODE",
"lastModified": "1717156833023"
},
{
"policyName": "kiosk-signout",
"description": "",
"priority": 3,
"active": true,
"policyId": 4,
"type": "ANDROIDKIOSKMODE",
"lastModified": "1717156861285"
}
]
}
}Update Kiosk Exit Pin
This call updates the profile Kiosk Exit Pin.
Required Role
See Authentication for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.
Required Role |
|---|
Category: Policy Management Role Description: Manage Policies |
HTTP method
PUT
Request URI
/api/v2/policy/androidkioskmode/exitpin
Request parameters
Parameter | Description | Sample Value |
|---|---|---|
adminDeviceSpaceId | Required Parameter Type: Query Data Type: Number Device space ID of the administrator. | 1 |
id | Required Parameter Type: Request body Data Type: List of Numbers Policy ID of the kiosk policies. | |
parameters | Required Parameter Type: Request body Data Type: Comma separated key-value parameters. Valid values: "exitpin": "123456" | |
Response Fields
Field | Description |
|---|---|
results | Indicates the outcome for the action per device. |
Sample request and response
Request
curl --location --request PUT --header "Authorization: Basic <token>" "https://[Ivanti EPMM/mifs/admin/rest/api/v2/policy/androidkioskmode/exitpin?adminDeviceSpaceId=1'
--data '{
"ids":[1,2,3,4,5,6,7,8,9,10],
"parameters":{
"exitpin":"123456"
}
}'Response
{
"results": {
"-1": "Action not supported for non-kiosk policy",
"1": "Action not supported for non-kiosk policy",
"2": "Policy already deleted",
"3": "Exit Pin updated successfully",
"4": "Action not supported for ENABLE_LOGOUT Policy",
"5": "Policy Not Found"
},
"totalCount": 6,
"resultCount": 1
}